/leads/{id} Authentication
Send your organization API key as a Bearer credential.
Authorization: Bearer YOUR_API_KEY Path parameters
id number required ID of the lead to update
123 Body
application/json Fields to update on the lead
email string Email address of the lead
john.doe@example.com first_name string First name of the lead
John last_name string Last name of the lead
Doe company string Company name of the lead
Coldy website string Website of the lead
https://coldy.ai personalization string Personalization text for the lead
Hi John, I saw you work at Coldy.ai… custom_fields object Custom variables: key is variable name in lower case, value is its value
{"position":"CTO","linkedin":"https://linkedin.com/in/john"} stop_sending boolean If true, stop sending to this lead (stop_sending_type set to "manual"). If false, resume sending (stop_sending_type set to null).
false Response
application/json Lead updated successfully
id number required ID of the lead
1 email string required Email address of the lead
john.doe@example.com first_name string required First name of the lead
John last_name string required Last name of the lead
Doe company string required Company of the lead
OpenAI website string required Website of the lead
https://openai.com personalization string required Personalization text
Hi John, I saw you work at OpenAI… sender string required The email account from which the email was sent
outbound@coldy.ai verification_status string required Verification status of the email
Allowed values: valid, unknown, accept_all, invalid, disposable, not_verified
valid status string required Current status of the lead
Allowed values: Not contacted, Sent, Bounce, Replied, Opened
Not contacted campaign_id string required ID of the associated campaign
550e8400-e29b-41d4-a716-446655440000 id_previous_sending_sequence number required ID of previous sending sequence
0 amount_sequences_sent number required Number of sequences already sent
2 date_last_sequence_send string required Date of the last sequence sent
2025-10-01T12:34:56.000Z reply_text string required Reply text if lead responded
Sure, let’s talk next week. reply_status string required Reply status
positive reply_status_tag_id number required ID of the attached reply tag
12 stop_sending boolean required Whether sending is stopped for this lead
false stop_sending_type string required Type of stop sending rule applied
manual chosen_sender number required Chosen sender account ID
101 provider string required Provider used for sending
gmail Invalid request body (e.g. missing required fields, or invalid field values)
message string[] required List of detailed validation or business error messages
["Name cannot be empty", "Field must be greater than 0"] error string required Short error description
Bad Request statusCode number required HTTP status code of the error
400 This request is unauthorized (either the Authorization header is missing or invalid, or the API key has been revoked)
message string[] required List of messages explaining why the request was unauthorized
["User is not authorized", "Invalid API key"] error string required Short error description
Unauthorized statusCode number required HTTP status code of the error
401 Lead not found
You have exceeded the rate limit. Please check the rate limit docs for more information.
message string[] required List of messages explaining the rate limiting issue
["Too many requests, please try again later"] error string required Short error description
Too Many Requests statusCode number required HTTP status code of the error
429